Purchase airtime
curl --request POST \
--url https://api.dancity.app/api/v1/airtime/buy \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"product": "MTN Airtime",
"phone": "080*******",
"amount": 525,
"customerRef": "<string>"
}
'const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
product: 'MTN Airtime',
phone: '080*******',
amount: 525,
customerRef: '<string>'
})
};
fetch('https://api.dancity.app/api/v1/airtime/buy', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.dancity.app/api/v1/airtime/buy"
payload = {
"product": "MTN Airtime",
"phone": "080*******",
"amount": 525,
"customerRef": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"success": true,
"message": "Airtime purchase processed",
"data": {
"_id": "6a1c3ba6f269d84e04f098cc",
"tranxId": "DNTY174825YP565I",
"service": "AIRTIME",
"product": "MTN Airtime",
"tranxType": "DEBIT",
"status": "FAILED",
"currency": "NGN",
"remarks": "Airtime purchase for 09037346247",
"amount": 100,
"fee": 0,
"amountPaid": 98.5,
"balanceBefore": 5276,
"balanceAfter": 5177.5,
"number": "09037346247",
"customerRef": "",
"channel": "API",
"paymentMedium": "MAIN WALLET",
"tranxDate": "2026-05-31T13:46:14.825Z",
"apiResponse": "Airtime purchase failed",
"isReversal": false,
"quantity": 0,
"createdAt": "2026-05-31T13:46:14.827Z"
}
}{
"success": false,
"message": "Validation failed",
"statusCode": 400
}{
"success": false,
"message": "Invalid API key or IP not allowlisted",
"statusCode": 401
}{
"success": false,
"message": "Sorry, something went wrong. Please try again later",
"statusCode": 500
}VAS
Purchase airtime
Purchase airtime
POST
/
api
/
v1
/
airtime
/
buy
Purchase airtime
curl --request POST \
--url https://api.dancity.app/api/v1/airtime/buy \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"product": "MTN Airtime",
"phone": "080*******",
"amount": 525,
"customerRef": "<string>"
}
'const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
product: 'MTN Airtime',
phone: '080*******',
amount: 525,
customerRef: '<string>'
})
};
fetch('https://api.dancity.app/api/v1/airtime/buy', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.dancity.app/api/v1/airtime/buy"
payload = {
"product": "MTN Airtime",
"phone": "080*******",
"amount": 525,
"customerRef": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"success": true,
"message": "Airtime purchase processed",
"data": {
"_id": "6a1c3ba6f269d84e04f098cc",
"tranxId": "DNTY174825YP565I",
"service": "AIRTIME",
"product": "MTN Airtime",
"tranxType": "DEBIT",
"status": "FAILED",
"currency": "NGN",
"remarks": "Airtime purchase for 09037346247",
"amount": 100,
"fee": 0,
"amountPaid": 98.5,
"balanceBefore": 5276,
"balanceAfter": 5177.5,
"number": "09037346247",
"customerRef": "",
"channel": "API",
"paymentMedium": "MAIN WALLET",
"tranxDate": "2026-05-31T13:46:14.825Z",
"apiResponse": "Airtime purchase failed",
"isReversal": false,
"quantity": 0,
"createdAt": "2026-05-31T13:46:14.827Z"
}
}{
"success": false,
"message": "Validation failed",
"statusCode": 400
}{
"success": false,
"message": "Invalid API key or IP not allowlisted",
"statusCode": 401
}{
"success": false,
"message": "Sorry, something went wrong. Please try again later",
"statusCode": 500
}Body
application/json
Response
OK
